#! /bin/sh /usr/share/dpatch/dpatch-run
## 05_vserver-build_dbootstrap_script.dpatch by Micah Anderson <Micah Anderson <micah@debian.org>>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

@DPATCH@
diff -urNad trunk~/scripts/vserver-build trunk/scripts/vserver-build
--- trunk~/scripts/vserver-build	2006-03-20 10:28:10.000000000 -0500
+++ trunk/scripts/vserver-build	2006-03-20 10:31:30.000000000 -0500
@@ -64,7 +64,7 @@
     skeleton ... -- [<cmd> <args>*]
                 ...  installs a minimal skeleton filesystem, creates the
 		     configuration file and calls an optional command then
-    debootstrap ... -- -d <distribution> [-m <mirror>] [-- <debootstrap-options>*]
+    debootstrap ... -- -d <distribution> [-m <mirror>] [-s <script> ] [-- <debootstrap-options>*]
                      bootstraps the vserver with Debian's 'debootstrap' package
 
 Please report bugs to $PACKAGE_BUGREPORT"
diff -urNad trunk~/scripts/vserver-build.debootstrap trunk/scripts/vserver-build.debootstrap
--- trunk~/scripts/vserver-build.debootstrap	2006-03-20 10:31:13.000000000 -0500
+++ trunk/scripts/vserver-build.debootstrap	2006-03-20 10:33:08.000000000 -0500
@@ -121,7 +121,8 @@
 ###   main starts here <---
 
 
-tmp=$(getopt -o '+d:m:' --long debug -n "$0" -- "$@") || exit 1
+#Parameter s added for debootstrap use
+tmp=$(getopt -o '+d:m:s:' --long debug -n "$0" -- "$@") || exit 1
 eval set -- "$tmp"
 
 init
@@ -130,6 +131,8 @@
     case "$1" in
 	(-d)		DISTRIBUTION=$2; shift;;
 	(-m)		mirror=$2;       shift;;
+#Parameter s added for debootstrap scripts
+	(-s)            script=$2;       shift;;
 	(--debug)	set -x;;
 	(--)		shift; break ;;
 	(*)		echo "vserver-build.debootstrap: internal error: unrecognized option '$1'" >&2
@@ -151,7 +154,8 @@
 
 test -z "$BUILD_INITPRE"  || "$BUILD_INITPRE" "$SETUP_CONFDIR"  "$UTIL_VSERVER_VARS"
 mv "$VDIR"/dev "$VDIR"/dev.X
-"$DEBOOTSTRAP" "$@" "$DISTRIBUTION" "$VDIR" "$mirror" || :	## HACK: ignore all errors...
+#this adds the variable $script to the debootstrap call
+"$DEBOOTSTRAP" "$@" "$DISTRIBUTION" "$VDIR" "$mirror" "$script" || :   ## HACK: ignore all errors...
 fixupDebian "$VDIR"
 test -z "$BUILD_INITPOST" || "$BUILD_INITPOST" "$SETUP_CONFDIR" "$UTIL_VSERVER_VARS"
 
